%define		subver		2014-07-16
%define		ver			%(echo %{subver} | tr -d -)
%define		plugin		diffpreview
%define		php_min_version 5.3.0
%include	/usr/lib/rpm/macros.php
Summary:	DokuWiki diff preview plugin
Summary(pl.UTF-8):	Wtyczka diffpreview dla DokuWiki
Name:		dokuwiki-plugin-%{plugin}
Version:	%{ver}
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	https://github.com/issmirnov/dokuwiki-diffpreview/archive/c6fd2c86/%{plugin}-%{version}.tar.gz
# Source0-md5:	a270cd74b41e9a8002635ac1245968cf
URL:		https://www.dokuwiki.org/plugin:diffpreview
BuildRequires:	rpmbuild(macros) >= 1.520
Requires:	dokuwiki >= 20131208
Requires:	php(core) >= %{php_min_version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir	/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

%description
Adds a new button to show a diff-like preview of all changes while
editing a page.

%prep
%setup -qc
mv dokuwiki-diffpreview-*/* .

%build
version=$(awk '/^date/{print $2}' plugin.info.txt)
if [ "$(echo "$version" | tr -d -)" != %{version} ]; then
	: %%{version} mismatch
	exit 1
fi


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a . $RPM_BUILD_ROOT%{plugindir}
%{__rm} $RPM_BUILD_ROOT%{plugindir}/README.md

# find locales
%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README.md
%dir %{plugindir}
%{plugindir}/*.php
%{plugindir}/*.js
%{plugindir}/*.txt
%changelog
* Sat Aug 12 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dokuwiki-plugin-diffpreview.git;a=log;h=master

* Sat Aug 12 2017 Elan Ruusamäe <glen@pld-linux.org> ce6d51c
- up to 20140716

* Thu Mar 31 2016 Elan Ruusamäe <glen@delfi.ee> 25a1f32
- require dw with jquery support

* Thu Mar 31 2016 Elan Ruusamäe <glen@delfi.ee> 121b964
- up to 20110120

* Sun May 16 2010 sparky <sparky@pld-linux.org> 91d5828
- BR: unzip

* Wed Jan 13 2010 Elan Ruusamäe <glen@pld-linux.org> 0ef14ca
- new ver, old version hacks removed, which does not conflict with lightbox plugin

* Mon Jan 11 2010 Elan Ruusamäe <glen@pld-linux.org> 516521f
- new

